{
	"name": "vite_ts_auto",
	"private": true,
	"version": "1.0.0",
	"type": "module",
	"description": "Bunny-Vite模板",
	"author": {
		"name": "Bunny0212",
		"email": "1319900154@qq.com",
		"url": "https://github.com/BunnyMaster"
	},
	"license": "MIT",
	"keywords": [
		"bunny-cli",
		"tailwindcss",
		"typescript",
		"pinia",
		"vue3",
		"vite",
		"esm"
	],
	"scripts": {
		"dev": "vite",
		"serve": "vite",
		"start": "vite",
		"build": "vite build",
		"preview": "vite preview",
		"lint:eslint": "eslint --fix --ext .js,.ts,.vue ./src",
		"lint:prettier": "prettier --write --loglevel warn \"src/**/*.{js,ts,json,tsx,css,less,scss,vue,html,md}\"",
		"lint:stylelint": "stylelint --cache --fix \"**/*.{vue,less,postcss,css,scss}\" --cache --cache-location node_modules/.cache/stylelint/",
		"lint:lint-staged": "lint-staged",
		"prepare": "husky install",
		"commit": "git pull && git add -A && git-cz && git push"
	},
	"dependencies": {
		"@pureadmin/utils": "^2.4.7",
		"@vitejs/plugin-legacy": "^5.4.0",
		"@vitejs/plugin-vue-jsx": "^3.1.0",
		"@vitejs/plugin-vue2-jsx": "^1.1.1",
		"@vueuse/core": "^10.11.0",
		"autoprefixer": "^10.4.19",
		"axios": "^1.6.7",
		"boxen": "^7.1.1",
		"compression-webpack-plugin": "^11.1.0",
		"core-js": "^3.36.0",
		"crypto-js": "^4.2.0",
		"dayjs": "^1.11.10",
		"dotenv": "^16.4.5",
		"echarts": "^5.5.0",
		"gradient-string": "^2.0.2",
		"konva": "^9.3.13",
		"lodash": "^4.17.21",
		"mitt": "^3.0.1",
		"moment": "^2.30.1",
		"pinia": "^2.1.7",
		"pinia-plugin-persistedstate": "^3.2.1",
		"postcss-import": "^16.1.0",
		"punycode": "^2.3.1",
		"stylelint-scss": "^6.3.0",
		"tailwindcss": "^3.4.4",
		"uuid": "^9.0.1",
		"vite-plugin-cdn-import": "^1.0.1",
		"vite-plugin-compression": "^0.5.1",
		"vite-plugin-compression2": "^1.1.1",
		"vue": "^3.4.21",
		"vue-cookies": "^1.8.3",
		"vue-demi": "^0.14.8",
		"vue-i18n": "^9.13.1",
		"vue-lazyload": "^3.0.0",
		"vue-router": "^4.3.0"
	},
	"devDependencies": {
		"@commitlint/cli": "^17.8.1",
		"@commitlint/config-conventional": "^17.8.1",
		"@types/crypto-js": "^4.2.2",
		"@types/node": "^20.12.10",
		"@types/react": "^18.3.3",
		"@types/react-dom": "^18.3.0",
		"@types/uuid": "^9.0.8",
		"@typescript-eslint/eslint-plugin": "^7.1.0",
		"@typescript-eslint/parser": "^7.1.0",
		"@vitejs/plugin-vue": "^5.0.4",
		"@vue/cli-plugin-babel": "~5.0.8",
		"@vue/cli-plugin-eslint": "~5.0.8",
		"@vue/cli-plugin-router": "~5.0.8",
		"@vue/cli-plugin-typescript": "~5.0.8",
		"@vue/cli-service": "~5.0.8",
		"@vue/eslint-config-typescript": "^12.0.0",
		"commitizen": "^4.3.0",
		"cz-git": "^1.9.1",
		"eslint": "^8.57.0",
		"eslint-config-prettier": "^9.1.0",
		"eslint-plugin-prettier": "^5.1.3",
		"eslint-plugin-vue": "^9.22.0",
		"file-loader": "^6.2.0",
		"husky": "^8.0.1",
		"lint-staged": "^15.2.2",
		"mockjs": "^1.1.0",
		"postcss": "^8.4.35",
		"postcss-html": "^1.6.0",
		"prettier": "^3.2.5",
		"sass": "^1.71.1",
		"sass-loader": "^14.1.1",
		"typescript": "~5.3.3",
		"vite": "^5.2.0",
		"vue-tsc": "^2.0.6"
	},
	"engines": {
		"node": "^18.18.0 || ^20.9.0 || >=21.1.0",
		"pnpm": ">=8.6.10"
	},
	"pnpm": {
		"allowedDeprecatedVersions": {
			"sourcemap-codec": "*",
			"domexception": "*",
			"w3c-hr-time": "*",
			"stable": "*",
			"abab": "*"
		},
		"peerDependencyRules": {
			"allowedVersions": {
				"eslint": "9"
			}
		}
	},
	"gitHooks": {
		"pre-commit": "lint-staged"
	},
	"config": {
		"commitizen": {
			"path": "node_modules/cz-git"
		}
	}
}
